/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package net.sourceforge.jedit.pluginholder;


/**
Every pre-instantation of a Holdable plugin in a profile has both an PluginHolderEntry and 
an Orientation.  This stores the map.


@author <A HREF="mailto:burton@relativity.yi.org">Kevin A. Burton</A>
@version $Id: EntryOrientationMap.java,v 1.2 2000/02/07 09:23:23 burtonator Exp $
*/
public class EntryOrientationMap {

    private PluginHolderEntry       entry       = null;
    private Orientation             orientation = null;
    
    public EntryOrientationMap( PluginHolderEntry entry, Orientation orientation ) {
        this.entry = entry;
        this.orientation = orientation;
    }
    
    public PluginHolderEntry getEntry() {
        return this.entry;
    }
    
    public Orientation getOrientation() {
        return this.orientation;
    }
    
}

