/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package net.sourceforge.jedit.pluginholder;


import org.gjt.sp.jedit.View;
import org.gjt.sp.util.Log;
import java.util.Vector;

public class ProfileFactory {

    private static Vector profiles = new Vector();


    /**
    Returns all known profiles.  Use this method to get information about 
    profiles that the user has registered.
    
    @author <A HREF="mailto:burton@relativity.yi.org">Kevin A. Burton</A>
    @version $Id: ProfileFactory.java,v 1.3 2000/07/10 03:11:59 akaplan Exp $
    */
    public static Profile[] getProfiles() {
        Profile[] profiles = new Profile[ ProfileFactory.profiles.size() ];
        ProfileFactory.profiles.copyInto( profiles );
        return profiles;
    }

 
    /**
    For a given view.  return it's current profile.
    
    @author <A HREF="mailto:burton@relativity.yi.org">Kevin A. Burton</A>
    @version $Id: ProfileFactory.java,v 1.3 2000/07/10 03:11:59 akaplan Exp $
    */
    public static Profile getCurrentProfile() {
        //FIX ME:  right now this is just scaffolding.  Provide a better impl.

        if ( ProfileFactory.profiles.size() == 0 ) {
            ProfileFactory.profiles.addElement( new Profile("Default") );
        } 

        return (Profile)ProfileFactory.profiles.elementAt(0);
    }
     
    
    /**
    
    @author <A HREF="mailto:burton@relativity.yi.org">Kevin A. Burton</A>
    @version $Id: ProfileFactory.java,v 1.3 2000/07/10 03:11:59 akaplan Exp $
    */
    public static void addProfile(Profile profile) {
        profiles.addElement(profile);
    }
    

    /**
    
    @author <A HREF="mailto:burton@relativity.yi.org">Kevin A. Burton</A>
    @version $Id: ProfileFactory.java,v 1.3 2000/07/10 03:11:59 akaplan Exp $
    */
    public static void removeProfile(Profile profile) {
        profiles.removeElement(profile);
    }


    
    /**
    Take the current profiles and save the to disk.
    
    @author <A HREF="mailto:burton@relativity.yi.org">Kevin A. Burton</A>
    @version $Id: ProfileFactory.java,v 1.3 2000/07/10 03:11:59 akaplan Exp $
    */
    public static void save() {
        //FIX ME:  provide a correct implementaation of this
        Log.log(Log.MESSAGE, ProfileFactory.class, "Plugin Holder: saving()");
        Resources.save();
    }
    
    /**
    Take the current profiles and save the to disk.
    
    @author <A HREF="mailto:burton@relativity.yi.org">Kevin A. Burton</A>
    @version $Id: ProfileFactory.java,v 1.3 2000/07/10 03:11:59 akaplan Exp $
    */
    public static void parse() {
        //FIX ME:  provide a correct implementaation of this
        //FIX ME:  when parsing out make sure the requested entry is actually 
        //         a registered entry... if it isn't then it can be 
        //         instantiated so the user shouldn't be allowed to pick it.

        Log.log(Log.MESSAGE, ProfileFactory.class, "Plugin Holder: parsing()");



        Resources.parse();

        //grab the parsed out resources and store them locally.. the only 
        //other time Resources should be accessed is when you want to save
        ProfileFactory.profiles = Resources.getResources();        
        
    }
    
    
}

