/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package net.sourceforge.jedit.pluginholder.backend; 


//plugin holder support
import net.sourceforge.jedit.pluginholder.*; 

//jedit...
import org.gjt.sp.jedit.*;

//standard java stuff
import java.util.*;
 
/**
Used to keep track of PluginHolderAction(s) that are associated with a given 
HoldablePlugin

@author <A HREF="mailto:burton@relativity.yi.org">Kevin A. Burton</A>
@version $Id: ActionStore.java,v 1.4 2000/04/23 07:47:31 burtonator Exp $
*/
public class ActionStore {

    private static Hashtable actions = new Hashtable();
    
    
    /**
    @author <A HREF="mailto:burton@relativity.yi.org">Kevin A. Burton</A>
    @version $Id: ActionStore.java,v 1.4 2000/04/23 07:47:31 burtonator Exp $
    */
    public static final void addPluginHolderAction( PluginHolderAction action ) {

        Vector v = getVector( action.getEntry().getClassName() );

        v.addElement( action );
        
    }

    
    /**
    @author <A HREF="mailto:burton@relativity.yi.org">Kevin A. Burton</A>
    @version $Id: ActionStore.java,v 1.4 2000/04/23 07:47:31 burtonator Exp $
    */
    public static final PluginHolderAction[] getPluginHolderActions(String classname) {
    
        Vector v = getVector(classname);
     
        PluginHolderAction[] actions = new PluginHolderAction[ v.size() ];
        v.copyInto(actions);
        return actions;
    
    }

    /**
    @author <A HREF="mailto:burton@relativity.yi.org">Kevin A. Burton</A>
    @version $Id: ActionStore.java,v 1.4 2000/04/23 07:47:31 burtonator Exp $
    */
    private static final Vector getVector(String classname) {
        Vector v = (Vector)actions.get(classname);
        
        if (v == null) {
            v = new Vector();
            actions.put( classname, v );
        }

        return v;
    }

}

