/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package net.sourceforge.jedit.pluginholder.msg; 

import net.sourceforge.jedit.pluginholder.*;

//jedit support
import org.gjt.sp.jedit.*;


/**
<p>
This message is transfered on the EditBus when a PluginHolder entry was selected
from the jEdit plugin menu.  
</p>

<p>
If a plugin hasn't been created yet then it is instantiated then sent this 
message.  Developers should key off the message and not the instantiation.  This
way a user can communicate with a plugin and continually call actions on it.
</p>

@author <A HREF="mailto:burton@relativity.yi.org">Kevin A. Burton</A>
@version $Id: EntrySelectedMessage.java,v 1.1 2000/04/24 03:49:03 burtonator Exp $
*/
public class EntrySelectedMessage extends EBMessage {
    
    
    private PluginHolderEntry entry = null;
    
    public EntrySelectedMessage( EBComponent component, 
                                 PluginHolderEntry entry ) {
        super( component );
        this.entry = entry;
    }
    
    /**
    Return the PluginHolderEntry 
    
    @author <A HREF="mailto:burton@relativity.yi.org">Kevin A. Burton</A>
    @version $Id: EntrySelectedMessage.java,v 1.1 2000/04/24 03:49:03 burtonator Exp $
    */
    public PluginHolderEntry getEntry() {
        return this.entry;
    }
    
}
